TagLib::FLAC::UnknownMetadataBlock Class Reference

Unknown FLAC metadata block. More...

`#include <flacunknownmetadatablock.h>`

Inheritance diagram for TagLib::FLAC::UnknownMetadataBlock:
[legend]
Collaboration diagram for TagLib::FLAC::UnknownMetadataBlock:
[legend]

## Public Member Functions

| UnknownMetadataBlock (int code, const ByteVector &data)
| ~UnknownMetadataBlock () override
| UnknownMetadataBlock (const UnknownMetadataBlock &item)=delete
UnknownMetadataBlock & | operator= (const UnknownMetadataBlock &item)=delete
int | code () const override
void | setCode (int code)
ByteVector | data () const
void | setData (const ByteVector &data)
ByteVector | render () const override
Public Member Functions inherited from TagLib::FLAC::MetadataBlock
| MetadataBlock ()
virtual | ~MetadataBlock ()
| MetadataBlock (const MetadataBlock &item)=delete
MetadataBlock & | operator= (const MetadataBlock &item)=delete

## Additional Inherited Members

Public Types inherited from TagLib::FLAC::MetadataBlock
enum | BlockType { StreamInfo = 0 , Padding , Application , SeekTable , VorbisComment , CueSheet , Picture }

## Detailed Description

Unknown FLAC metadata block.

## Constructor & Destructor Documentation

## UnknownMetadataBlock() [1/2]

TagLib::FLAC::UnknownMetadataBlock::UnknownMetadataBlock | ( | int | code,
|  | const ByteVector & | data )

References code(), and data().

Referenced by operator=(), and UnknownMetadataBlock().

## ~UnknownMetadataBlock()

TagLib::FLAC::UnknownMetadataBlock::~UnknownMetadataBlock | ( |  | ) |

override

## UnknownMetadataBlock() [2/2]

TagLib::FLAC::UnknownMetadataBlock::UnknownMetadataBlock | ( | const UnknownMetadataBlock & | item | ) |

delete

References UnknownMetadataBlock().

## Member Function Documentation

## code()

int TagLib::FLAC::UnknownMetadataBlock::code | ( |  | ) | const

override virtual

Returns the FLAC metadata block type.

Implements TagLib::FLAC::MetadataBlock.

Referenced by setCode(), and UnknownMetadataBlock().

## data()

ByteVector TagLib::FLAC::UnknownMetadataBlock::data | ( |  | ) | const

Returns the FLAC metadata block type.

Referenced by setData(), and UnknownMetadataBlock().

## operator=()

UnknownMetadataBlock & TagLib::FLAC::UnknownMetadataBlock::operator= | ( | const UnknownMetadataBlock & | item | ) |

delete

References UnknownMetadataBlock().

## render()

ByteVector TagLib::FLAC::UnknownMetadataBlock::render | ( |  | ) | const

override virtual

Render the content of the block.

Implements TagLib::FLAC::MetadataBlock.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## setCode()

void TagLib::FLAC::UnknownMetadataBlock::setCode | ( | int | code | ) |

Sets the FLAC metadata block type.

References code().

## setData()

void TagLib::FLAC::UnknownMetadataBlock::setData | ( | const ByteVector & | data | ) |

Sets the FLAC metadata block type.

References data().

The documentation for this class was generated from the following file:

- flacunknownmetadatablock.h